# Class MultilevelMetrics

java.lang.Object
htsjdk.samtools.metrics.MetricBase
picard.metrics.MultilevelMetrics

Direct Known Subclasses:
  `AlignmentSummaryMetrics, GcBiasDetailMetrics, GcBiasSummaryMetrics, InsertSizeMetrics, PanelMetricsBase, RnaSeqMetrics, RrbsCpgDetailMetrics, RrbsSummaryMetrics`

public class MultilevelMetrics extends htsjdk.samtools.metrics.MetricBase

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`LIBRARY`
The library to which these metrics apply.
`String`
`READ_GROUP`
The read group to which these metrics apply.
`String`
`SAMPLE`
The sample to which these metrics apply.

## Constructor Summary

Constructors
Constructor
Description
`MultilevelMetrics()`

## Method Summary

### Methods inherited from class htsjdk.samtools.metrics.MetricBase

`equals, hashCode, toString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SAMPLE

public String SAMPLE
The sample to which these metrics apply. If null, it means they apply to all reads in the file.

### LIBRARY

public String LIBRARY
The library to which these metrics apply. If null, it means that the metrics were accumulated at the sample level.

### READ_GROUP

public String READ_GROUP
The read group to which these metrics apply. If null, it means that the metrics were accumulated at the library or sample level.

## Constructor Details

### MultilevelMetrics

public MultilevelMetrics()